Pdh.PDH_COUNTER_PATH_ELEMENTS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Pdh, class: PDH_COUNTER_PATH_ELEMENTS

Package com.sun.jna.platform.win32

# Class Pdh.PDH_COUNTER_PATH_ELEMENTS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Pdh.PDH_COUNTER_PATH_ELEMENTS

Enclosing interface:
  Pdh

@FieldOrder({"szMachineName","szObjectName","szInstanceName","szParentInstance","dwInstanceIndex","szCounterName"}) public static class Pdh.PDH_COUNTER_PATH_ELEMENTS extends Structure
Components of a counter path

See Also:
  - PDH_COUNTER_PATH_ELEMENTS
  - Windows Server 2003 Performance Counters Reference

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwInstanceIndex`
  `String`
  `szCounterName`
  `String`
  `szInstanceName`
  `String`
  `szMachineName`
  `String`
  `szObjectName`
  `String`
  `szParentInstance`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PDH_COUNTER_PATH_ELEMENTS()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### szMachineName

    public String szMachineName

  - ### szObjectName

    public String szObjectName

  - ### szInstanceName

    public String szInstanceName

  - ### szParentInstance

    public String szParentInstance

  - ### dwInstanceIndex

    public int dwInstanceIndex

  - ### szCounterName

    public String szCounterName

- ## Constructor Details

  - ### PDH_COUNTER_PATH_ELEMENTS

    public PDH_COUNTER_PATH_ELEMENTS()